Index: branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/NEMO/OPA_SRC/step_oce.F90
===================================================================
--- branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 5985)
+++ branches/2014/dev_r4650_UKMO7_STARTHOUR/NEMOGCM/NEMO/OPA_SRC/step_oce.F90	(revision 5987)
@@ -4,28 +4,19 @@
    !! Ocean time-stepping : module used in both initialisation phase and time stepping
    !!======================================================================
-   !! History :   3.3  ! 2010-08  (C. Ethe)  Original code - reorganisation of the initial phase
+   !! History :   3.3  !  2010-08  (C. Ethe)  Original code - reorganisation of the initial phase
+   !!             3.7  !  2014-01  (G. Madec) LDF simplication 
    !!----------------------------------------------------------------------
    USE oce              ! ocean dynamics and tracers variables
    USE dom_oce          ! ocean space and time domain variables
    USE zdf_oce          ! ocean vertical physics variables
-   USE ldftra_oce       ! ocean tracer   - trends
-   USE ldfdyn_oce       ! ocean dynamics - trends
-   USE divcur           ! hor. divergence and curl      (div & cur routines)
-   USE in_out_manager   ! I/O manager
-   USE iom              !
-   USE lbclnk
-   USE restart          ! restart
-#if defined key_iomput
-   USE xios
-#endif
 
    USE daymod           ! calendar                         (day     routine)
 
+   USE sbc_oce          ! surface boundary condition: ocean
    USE sbcmod           ! surface boundary condition       (sbc     routine)
    USE sbcrnf           ! surface boundary condition: runoff variables
    USE sbccpl           ! surface boundary condition: coupled formulation (call send at end of step)
-   USE sbc_oce          ! surface boundary condition: ocean
+   USE sbcapr           ! surface boundary condition: atmospheric pressure
    USE sbctide          ! Tide initialisation
-   USE sbcapr           ! surface boundary condition: ssh_ib required by bdydta 
 
    USE traqsr           ! solar radiation penetration      (tra_qsr routine)
@@ -36,5 +27,4 @@
    USE traadv           ! advection scheme control     (tra_adv_ctl routine)
    USE traldf           ! lateral mixing                   (tra_ldf routine)
-   !   zdfkpp           ! KPP non-local tracer fluxes      (tra_kpp routine)
    USE trazdf           ! vertical mixing                  (tra_zdf routine)
    USE tranxt           ! time-stepping                    (tra_nxt routine)
@@ -43,4 +33,5 @@
    USE eosbn2           ! equation of state                (eos_bn2 routine)
 
+   USE divhor           ! horizontal divergence            (div_hor routine)
    USE dynadv           ! advection                        (dyn_adv routine)
    USE dynbfr           ! Bottom friction terms            (dyn_bfr routine)
@@ -49,7 +40,5 @@
    USE dynldf           ! lateral momentum diffusion       (dyn_ldf routine)
    USE dynzdf           ! vertical diffusion               (dyn_zdf routine)
-   USE dynspg_oce       ! surface pressure gradient        (dyn_spg routine)
    USE dynspg           ! surface pressure gradient        (dyn_spg routine)
-   USE dynnept          ! simp. form of Neptune effect(dyn_nept_cor routine)
 
    USE dynnxt           ! time-stepping                    (dyn_nxt routine)
@@ -71,7 +60,6 @@
 
    USE ldfslp           ! iso-neutral slopes               (ldf_slp routine)
-   USE ldfeiv           ! eddy induced velocity coef.      (ldf_eiv routine)
-   USE ldftra_smag      ! Smagirinsky diffusion            (ldftra_smag routine)
-   USE ldfdyn_smag      ! Smagorinsky viscosity            (ldfdyn_smag routine) 
+   USE ldfdyn           ! lateral eddy viscosity coef.     (ldf_dyn routine)
+   USE ldftra           ! lateral eddy diffusive coef.     (ldf_tra routine)
 
    USE zdftmx           ! tide-induced vertical mixing     (zdf_tmx routine)
@@ -79,5 +67,4 @@
    USE zdftke           ! TKE vertical mixing              (zdf_tke routine)
    USE zdfgls           ! GLS vertical mixing              (zdf_gls routine)
-   USE zdfkpp           ! KPP vertical mixing              (zdf_kpp routine)
    USE zdfddm           ! double diffusion mixing          (zdf_ddm routine)
    USE zdfevd           ! enhanced vertical diffusion      (zdf_evd routine)
@@ -104,12 +91,20 @@
    USE asmbkg
    USE stpctl           ! time stepping control            (stp_ctl routine)
+   USE restart          ! ocean restart                    (rst_wri routine)
    USE prtctl           ! Print control                    (prt_ctl routine)
 
    USE diaobs           ! Observation operator
 
+   USE in_out_manager   ! I/O manager
+   USE iom              !
+   USE lbclnk
    USE timing           ! Timing
 
+#if defined key_iomput
+   USE xios
+#endif
 #if defined key_agrif
    USE agrif_opa_sponge ! Momemtum and tracers sponges
+   USE agrif_opa_update ! Update (2-way nesting)
 #endif
 #if defined key_top
@@ -117,5 +112,5 @@
 #endif
    !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! NEMO/OPA 3.7 , NEMO Consortium (2014)
    !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
